//+------------------------------------------------------------------+
//|                                     Soloist_H1_john_chen.mq4     |
//|                      Copyright  2008, Fabio Butto /Paul Evans   |
//|               Only Trailing Stop and signal w/o EMA80 to enter   |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+


extern double StopLoss = 50;
extern double RiskLevel =10;

extern double TrailingStop = 20;

int BuyMagic=16426;
int SellMagic=16428;
datetime ctm=0;
double LSMA_index0,LSMA_index1,LSMA_index2;
bool difference_found=false;

//+------------------------------------------------------------------+
//|   Main                                                               |
//+------------------------------------------------------------------+
int start()
  {
   
   
   double Lots;
   int cnt, ticket, total;
   
   
   
// initial data checks
// it is important to make sure that the expert works with a normal
// chart and the user did not make any mistakes setting external 
// variables (Lots, StopLoss, TakeProfit, 
// TrailingStop) in our case, we check TakeProfit
// on a chart of less than 100 bars
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }
   //Calculate Lots
   Lots=AccountEquity() * RiskLevel/(StopLoss*1000);
// to simplify the coding and speed up access
// data are put into internal variables
   
   
   LSMA_index0=iCustom(NULL,0,"LSMA_in_Color",34,1500,0,0);
   LSMA_index1=iCustom(NULL,0,"LSMA_in_Color",34,1500,1,0);
   LSMA_index2=iCustom(NULL,0,"LSMA_in_Color",34,1500,2,0);
   if(LSMA_index0 != LSMA_index1 || LSMA_index1!=LSMA_index2 || LSMA_index0!=LSMA_index2)
   {
     difference_found=true;
   }
   
   
   total=OrdersTotal();
   ctm=0;
   for(cnt=0;cnt<=total;cnt++)
     {
      OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
      
         if(OrderMagicNumber()==BuyMagic || OrderMagicNumber()==SellMagic)
           {
           ctm=OrderOpenTime();
         
           if(ctm>0)ctm=OrderCloseTime();
           if(ctm>=0)ctm=OrderOpenTime(); 
           }
     }
   string sComment;
   sComment="";
   sComment=sComment+"ctm=" +ctm+"\n";
   sComment=sComment+"LSMA index0=" +LSMA_index0+"\n";
   sComment=sComment+"LSMA index1=" +LSMA_index1+"\n";
   sComment=sComment+"LSMA index2=" +LSMA_index2+"\n";
   sComment=sComment+"Difference found=" +difference_found+"\n";
   Comment(sComment);  
    
   return(0);
  }
// the end.